<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Friend List</title>
    <!-- https://www.youtube.com/watch?v=Oy9K7iz3aa4&ab_channel=AngelaDelise -->
    <style> 
        body {
          font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
        }
        
        table {
          border-collapse: collapse;
          box-shadow: 0 5px 10px rgb(218, 218, 218);
        }
  
        thead {
          box-shadow: 0 5px 10px rgb(214, 214, 214);
        }
  
        th {
          text-transform: uppercase;
          padding: 1rem 2rem;
        }
  
        td {
          padding: 1rem 2rem;
        }
  
        tr:nth-child(even){
          background-color: aquamarine;
        }
  
      </style>
  </head>
  <body>
    <h1>Friend List✨🎉</h1>
    <table>
      <tr>
        <th>Name</th>
        <th>NPM</th>
        <th>DOB</th>
      </tr>
      {% if friends %}
        {% for friend in friends %}
          <tr>
            <td>{{ friend.name }}</td>
            <td>{{ friend.npm }}</td>
            <td>{{ friend.birth_date }}</td>
          </tr>
        {% endfor %}
      {% endif %}
    </table>
  </body>
</html>
